get_eigen_centrality {DiagrammeR} | R Documentation

## Get the eigen centrality for nodes in the graph

### Description

Get the eigen centrality values for all nodes in the graph.

### Usage

    get_eigen_centrality(graph, weights_attr = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`weights_attr` | an optional name of the edge attribute to use in the adjacency matrix. If `NULL` then, if it exists, the `weight` edge attribute of the graph will be used. If `NA` then no edge weights will be used.

### Value

a data frame with eigen centrality scores for each of the nodes.

### Examples

    # Create a random graph
    graph <-
      create_random_graph(
        n = 10, m = 22,
        set_seed = 23)

    # Get the eigen centrality scores for nodes
    # in the graph
    get_eigen_centrality(graph)
    #>    id eigen_centrality
    #> 1   1        0.5893005
    #> 2   2        0.8160297
    #> 3   3        0.6985080
    #> 4   4        0.5669045
    #> 5   5        0.8129328
    #> 6   6        1.0000000
    #> 7   7        0.6266077
    #> 8   8        0.3372831
    #> 9   9        0.8487792
    #> 10 10        0.8583592

[Package DiagrammeR version 0.9.2 Index]